Bug 1028537 - Thunderbird 24 doesn't obey identity cc/bcc-to-self settings when composing replies
Thunderbird 24 doesn't obey identity cc/bcc-to-self settings when composing r...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 12:46 EST by Phil Mayers
Modified: 2014-01-14 04:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-14 04:25:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Mayers 2013-11-08 12:46:45 EST
Description of problem:

Identity Cc: and Bcc: settings are not obeyed when replying to an email, if the Cc:/Bcc: address is the same as the account address. Settings are correctly obeyed if sending a new email, or switching away from and back to the identity via the composition dropdown, or if the Cc:/Bcc: is a different address.

Version-Release number of selected component (if applicable):

24.0-3.fc18

How reproducible:

Every time

Steps to Reproduce:
1. Setup an identity via "Edit", "Account Settings", "Manage identities"
2. Set the identity to Cc: itself
3. Reply to a message received to that identity

Actual results:

No Cc: is setup in the reply composition

Expected results:

Account will be Cc:ed

Additional info:

Worked in previous version (Thunderbird 17?), and the specific circumstances - reply rather than new email, cc/bcc-to-self - are important.
Comment 1 Fedora End Of Life 2013-12-21 09:44:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jan Horak 2014-01-14 04:25:13 EST
I can't reproduce it with TB 24.2.0.
It seems to be upstream bug: https://bugzilla.mozilla.org/show_bug.cgi?id=917231 which was fixed in TB 24.1.

Please feel free to reopen if you still hit the issue. Thank you.

Note You need to log in before you can comment on or make changes to this bug.